<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: I2C_SW_FLAG_T Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">I2C_SW_FLAG_T Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="i2c__software__gpio__with__timer_8h_source.html">i2c_software_gpio_with_timer.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a2aacefbfdf73b4809928d6dca50bcc8a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_i2_c___s_w___f_l_a_g___t.html#a2aacefbfdf73b4809928d6dca50bcc8a">COUNT</a>:4</td></tr>
<tr class="separator:a2aacefbfdf73b4809928d6dca50bcc8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a013e0f344e244ac47cfc66b1fb2fad96"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_i2_c___s_w___f_l_a_g___t.html#a013e0f344e244ac47cfc66b1fb2fad96">NACK</a>:1</td></tr>
<tr class="separator:a013e0f344e244ac47cfc66b1fb2fad96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada51c69a841f5ad5cf8432669b25ef8b"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_i2_c___s_w___f_l_a_g___t.html#ada51c69a841f5ad5cf8432669b25ef8b">START</a>:1</td></tr>
<tr class="separator:ada51c69a841f5ad5cf8432669b25ef8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac21efb773b6ceb2898d437594fefe7e8"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_i2_c___s_w___f_l_a_g___t.html#ac21efb773b6ceb2898d437594fefe7e8">STOP</a>:1</td></tr>
<tr class="separator:ac21efb773b6ceb2898d437594fefe7e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e8ef5045215c0a899d60be207af1639"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_i2_c___s_w___f_l_a_g___t.html#a6e8ef5045215c0a899d60be207af1639">RW</a>:1</td></tr>
<tr class="separator:a6e8ef5045215c0a899d60be207af1639"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a819c9419f591835332cab0d0ddbfd417"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_i2_c___s_w___f_l_a_g___t.html#a819c9419f591835332cab0d0ddbfd417">BUSY</a>:1</td></tr>
<tr class="separator:a819c9419f591835332cab0d0ddbfd417"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeff85e785d3a4fcb784ebb6c2d7ee4e7"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_i2_c___s_w___f_l_a_g___t.html#aeff85e785d3a4fcb784ebb6c2d7ee4e7">RESERVE</a>:23</td></tr>
<tr class="separator:aeff85e785d3a4fcb784ebb6c2d7ee4e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8h_source.html#l00017">17</a> of file <a class="el" href="i2c__software__gpio__with__timer_8h_source.html">i2c_software_gpio_with_timer.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a819c9419f591835332cab0d0ddbfd417"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a819c9419f591835332cab0d0ddbfd417">&#9670;&nbsp;</a></span>BUSY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_FLAG_T::BUSY</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>I2C Busy flag </p>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8h_source.html#l00024">24</a> of file <a class="el" href="i2c__software__gpio__with__timer_8h_source.html">i2c_software_gpio_with_timer.h</a>.</p>

</div>
</div>
<a id="a2aacefbfdf73b4809928d6dca50bcc8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2aacefbfdf73b4809928d6dca50bcc8a">&#9670;&nbsp;</a></span>COUNT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_FLAG_T::COUNT</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Data Bit Count </p>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8h_source.html#l00019">19</a> of file <a class="el" href="i2c__software__gpio__with__timer_8h_source.html">i2c_software_gpio_with_timer.h</a>.</p>

</div>
</div>
<a id="a013e0f344e244ac47cfc66b1fb2fad96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a013e0f344e244ac47cfc66b1fb2fad96">&#9670;&nbsp;</a></span>NACK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_FLAG_T::NACK</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>I2C NACK </p>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8h_source.html#l00020">20</a> of file <a class="el" href="i2c__software__gpio__with__timer_8h_source.html">i2c_software_gpio_with_timer.h</a>.</p>

</div>
</div>
<a id="aeff85e785d3a4fcb784ebb6c2d7ee4e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeff85e785d3a4fcb784ebb6c2d7ee4e7">&#9670;&nbsp;</a></span>RESERVE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_FLAG_T::RESERVE</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Reserve </p>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8h_source.html#l00025">25</a> of file <a class="el" href="i2c__software__gpio__with__timer_8h_source.html">i2c_software_gpio_with_timer.h</a>.</p>

</div>
</div>
<a id="a6e8ef5045215c0a899d60be207af1639"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e8ef5045215c0a899d60be207af1639">&#9670;&nbsp;</a></span>RW</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_FLAG_T::RW</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>I2C Read/Write Bit </p>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8h_source.html#l00023">23</a> of file <a class="el" href="i2c__software__gpio__with__timer_8h_source.html">i2c_software_gpio_with_timer.h</a>.</p>

</div>
</div>
<a id="ada51c69a841f5ad5cf8432669b25ef8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada51c69a841f5ad5cf8432669b25ef8b">&#9670;&nbsp;</a></span>START</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_FLAG_T::START</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>I2C START </p>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8h_source.html#l00021">21</a> of file <a class="el" href="i2c__software__gpio__with__timer_8h_source.html">i2c_software_gpio_with_timer.h</a>.</p>

</div>
</div>
<a id="ac21efb773b6ceb2898d437594fefe7e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac21efb773b6ceb2898d437594fefe7e8">&#9670;&nbsp;</a></span>STOP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_FLAG_T::STOP</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>I2C STOP </p>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8h_source.html#l00022">22</a> of file <a class="el" href="i2c__software__gpio__with__timer_8h_source.html">i2c_software_gpio_with_timer.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>Nu-LB-Mini51/inc/<a class="el" href="i2c__software__gpio__with__timer_8h_source.html">i2c_software_gpio_with_timer.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:45 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
